CO_RPDOCommPar_t Struct Reference
CANopen_301 » PDO

RPDO communication parameter. More...

`#include <CO_PDO.h>`

## Data Fields

uint8_t | maxSubIndex
| Equal to 2.
uint32_t | COB_IDUsedByRPDO
| Communication object identifier for message received. More...
uint8_t | transmissionType
| Transmission type. More...

## Detailed Description

RPDO communication parameter.

The same as record from Object dictionary (index 0x1400+).

## Field Documentation

## COB_IDUsedByRPDO

uint32_t CO_RPDOCommPar_t::COB_IDUsedByRPDO

Communication object identifier for message received.

Meaning of the specific bits:

- Bit 0-10: COB-ID for PDO, to change it bit 31 must be set.
- Bit 11-29: set to 0 for 11 bit COB-ID.
- Bit 30: If true, rtr are NOT allowed for PDO.
- Bit 31: If true, node does NOT use the PDO.

## transmissionType

uint8_t CO_RPDOCommPar_t::transmissionType

Transmission type.

Values:

- 0-240: Reciving is synchronous, process after next reception of the SYNC object.
- 241-253: Not used.
- 254: Manufacturer specific.
- 255: Asynchronous.

The documentation for this struct was generated from the following file:

- 301/CO_PDO.h